Get Tracking History
curl --request GET \
--url https://api.usedroptrail.com/tracking/{id}/history \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.usedroptrail.com/tracking/{id}/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.usedroptrail.com/tracking/{id}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"delivery_id": "<string>",
"current_status": "<string>",
"events": [
{
"timestamp": "<string>",
"status": "<string>",
"location": "<string>",
"description": "<string>",
"updated_by": "<string>"
}
]
}Tracking
Get Tracking History
Retrieve the complete tracking history for a delivery
GET
/
tracking
/
{id}
/
history
Get Tracking History
Get a chronological list of tracking events and status updates for a specific delivery request.
Path Parameters
string
required
The unique identifier of the delivery request
Response
string
The unique identifier of the delivery request
string
Current status of the delivery
array
List of tracking events in chronological order
Example Response
⌘I